"""add pre_order and discount columns to products table

Revision ID: 13a3b750c40e
Revises: 21550951e198
Create Date: 2023-04-27 08:22:16.254974

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '13a3b750c40e'
down_revision = '21550951e198'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('products', sa.Column('available_for_pre_order', sa.Boolean(), server_default=sa.text('false'), nullable=False))
    op.add_column('products', sa.Column('active_discount', sa.Boolean(), server_default=sa.text('false'), nullable=False))
    op.add_column('products', sa.Column('discount_percent', mysql.DOUBLE(asdecimal=True), server_default=sa.text('0'), nullable=False))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('products', 'discount_percent')
    op.drop_column('products', 'active_discount')
    op.drop_column('products', 'available_for_pre_order')
    # ### end Alembic commands ###
