"""drop discounts table

Revision ID: 21550951e198
Revises: 4cfd3fc062af
Create Date: 2023-04-27 08:19:52.075856

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '21550951e198'
down_revision = '4cfd3fc062af'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('discounts')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('discounts',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False),
    sa.Column('product_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=False),
    sa.Column('percent', mysql.INTEGER(display_width=11), autoincrement=False, nullable=False),
    sa.Column('created_date', mysql.DATETIME(), server_default=sa.text('current_timestamp()'), nullable=False),
    sa.Column('expiration_date', mysql.DATETIME(), nullable=False),
    sa.ForeignKeyConstraint(['product_id'], ['products.id'], name='discounts_ibfk_1'),
    sa.PrimaryKeyConstraint('id'),
    mysql_default_charset='utf32',
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###
