"""remove active_discount column and rename discount_percent to discount in products table

Revision ID: 437ce57390c5
Revises: fd54dd612c6e
Create Date: 2023-04-27 09:35:13.513839

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '437ce57390c5'
down_revision = 'fd54dd612c6e'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('products', sa.Column('discount', mysql.DOUBLE(asdecimal=True), server_default=sa.text('0'), nullable=False))
    op.drop_column('products', 'active_discount')
    op.drop_column('products', 'discount_percent')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('products', sa.Column('discount_percent', mysql.DOUBLE(asdecimal=True), server_default=sa.text('0'), nullable=False))
    op.add_column('products', sa.Column('active_discount', mysql.TINYINT(display_width=1), server_default=sa.text('0'), autoincrement=False, nullable=False))
    op.drop_column('products', 'discount')
    # ### end Alembic commands ###
